
datablock TriggerData( TempleOfEvilTrigger )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	tickPeriodMS = 100;
};

function TempleOfEvilTrigger::onEnterTrigger( %this, %trigger, %obj )
{
	
    %obj.applyDamage(100);
 MessageBoxYesNo("You Lose!",
                 "Mutant bunnies can't swim!! Would you like to start the game over?",
                 "loadTestMission();",
                 "quit();");

	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onEnterTrigger( %this, %trigger, %obj );
}

function TempleOfEvilTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
	

	// This method is called whenever an object leaves the %trigger
	// area, the object is passed as %obj.  The default onLeaveTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,0) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onLeaveTrigger( %this, %trigger, %obj );
}

function TempleOfEvilTrigger::onTickTrigger( %this, %trigger )
{
	

	// This method is called every tickPerioMS, as long as any
	// objects intersect the trigger. The default onTriggerTick
	// method (in the C++ code) invokes the ::onTriggerTick(%trigger) method on
	// every object (whatever it's type) in the same group as the trigger.

	// You can iterate through the objects in the list by using these
	// methods:
	//    %this.getNumObjects();
	//    %this.getObject(n);
   
	Parent::onTickTrigger( %this, %trigger );
}
datablock TriggerData( GameVictoryTrigger )
{
	// tickPeriodMS is a value is used to control how often the console
	// onTriggerTick callback is called while there are any objects
	// in the trigger. The default value is 100 MS.
	tickPeriodMS = 100;
};

function GameVictoryTrigger::onEnterTrigger( %this, %trigger, %obj )
{
	echo( "The player has just entered the Temple of Evil! - Not the smartest move!");
    
 MessageBoxOK("GAME OVER YOU WIN!!",
                 "You have found the secret lab in the mountains.  To be continued...",
                 "quit();");

	// This method is called whenever an object enters the %trigger
	// area, the object is passed as %obj.  The default onEnterTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,1) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onEnterTrigger( %this, %trigger, %obj );
}

function GameVictoryTrigger::onLeaveTrigger( %this, %trigger, %obj )
{
	

	// This method is called whenever an object leaves the %trigger
	// area, the object is passed as %obj.  The default onLeaveTrigger
	// method (in the C++ code) invokes the ::onTrigger(%trigger,0) method on
	// every object (whatever it's type) in the same group as the trigger.
	Parent::onLeaveTrigger( %this, %trigger, %obj );
}

function GameVictoryTrigger::onTickTrigger( %this, %trigger )
{
	

	// This method is called every tickPerioMS, as long as any
	// objects intersect the trigger. The default onTriggerTick
	// method (in the C++ code) invokes the ::onTriggerTick(%trigger) method on
	// every object (whatever it's type) in the same group as the trigger.

	// You can iterate through the objects in the list by using these
	// methods:
	//    %this.getNumObjects();
	//    %this.getObject(n);
   
	Parent::onTickTrigger( %this, %trigger );
}
